﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication8
{
    public partial class CustomGrid : UltraGrid
    {
        public CustomGrid()
        {
            InitializeComponent();
        }

        public CustomGrid(IContainer container)
        {
            container.Add(this);

            InitializeComponent();
        }

        protected override void OnKeyDown(KeyEventArgs e)
        {
            // Handle the value deletion yourself
            if (e.KeyCode == Keys.Delete && (this.ActiveRow != null || this.ActiveCell != null))
            {
                // Notify the grid that you have processed the operation
                e.Handled = true;

                if (this.ActiveCell != null && this.ActiveCell.Column.Key == "Column1")
                {
                    this.ActiveCell.Value = String.Empty;
                }

                if (this.ActiveRow != null && this.ActiveRow.Cells.HasCell("Column1"))
                {
                    this.ActiveRow.Cells["Column1"].Value = String.Empty;
                }
            }


            base.OnKeyDown(e);
        }
    }
}
